<%--
 ~
 ~ Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 ~
 ~ This software is the property of WSO2 Inc. and its suppliers, if any.
 ~ Dissemination of any information or reproduction of any material contained
 ~ herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 ~ You may not alter or remove any copyright or other notice from copies of this content."
 ~
--%>

<%@ page import="org.owasp.encoder.Encode" %>
<%@ page import="java.io.File" %>
<%@ page import="org.apache.commons.text.StringEscapeUtils" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@include file="../includes/localize.jsp" %>

<!-- Include tenant context -->
<jsp:directive.include file="../tenant-resolve.jsp"/>

<!-- Branding Preferences -->
<jsp:directive.include file="../extensions/branding-preferences.jsp"/>

<%
    String stat = "Error 405 - Method Not Allowed";
%>

<!doctype html>
<html>
<head>
    <!-- header -->
    <%
        File headerFile = new File(getServletContext().getRealPath("extensions/header.jsp"));
        if (headerFile.exists()) {
    %>
        <jsp:include page="../extensions/header.jsp"/>
    <% } else { %>
        <jsp:include page="../includes/header.jsp"/>
    <% } %>
</head>
<body class="login-portal layout authentication-portal-layout">

    <%
        if (!(StringUtils.equals(tenantForTheming, IdentityManagementEndpointConstants.SUPER_TENANT))) {
    %>
    <div class="page-wrapper error-page">
        <main class="center-segment">
            <div class="ui container medium center aligned middle aligned">
                <%
                    File productTitleFile = new File(getServletContext().getRealPath("extensions/product-title.jsp"));
                    if (productTitleFile.exists()) {
                %>
                <jsp:include page="../extensions/product-title.jsp"/>
                <% } else { %>
                <jsp:include page="../includes/product-title.jsp"/>
                <% } %>
                <div class="ui orange attached segment mt-3">
                    <h3 class="ui header text-center slogan-message mt-3 mb-2" data-testid="recovery-portal-error-405-page-header">
                        <%=Encode.forHtml(stat)%>
                    </h3>
                </div>
                <div class="ui bottom attached warning message">
                    <p class="text-left mt-0">
                        Need help? Contact us via <a href="mailto:<%= StringEscapeUtils.escapeHtml4(supportEmail) %>" target="_blank">
                        <span class="orange-text-color button"><%= StringEscapeUtils.escapeHtml4(supportEmail) %></span>
                    </a> with the tracking reference given below.
                    </p>
                    <div class="ui divider hidden"></div>
                    <jsp:include page="../includes/error-tracking-reference.jsp"/>
                    <div class="ui divider hidden"></div>
                </div>
            </div>
            
    <% } else { %>
    
     <div class="page-wrapper default error-page">
        <main class="center-segment">
            <div class="slogan-container">
                <!-- product-title -->
                <%
                    File productTitleFile = new File(getServletContext().getRealPath("extensions/product-title.jsp"));
                    if (productTitleFile.exists()) {
                %>
                    <jsp:include page="../extensions/product-title.jsp"/>
                <% } else { %>
                    <jsp:include page="../includes/product-title.jsp"/>
                <% } %>

                <h2 class="ui header portal-logo-tagline slogan-message" data-testid="recovery-portal-error-405-page-header">
                    <%=Encode.forHtml(stat)%>
                </h2>

                <p class="portal-tagline-description">
                    Need help? Contact us via <a href="mailto:<%= StringEscapeUtils.escapeHtml4(supportEmail) %>" target="_blank">
                        <span class="orange-text-color button"><%= StringEscapeUtils.escapeHtml4(supportEmail) %></span>
                    </a> with the tracking reference given below.
                </p>
                <jsp:include page="../includes/error-tracking-reference.jsp"/>
            </div>

            <div class="ui container medium aligned middle aligned">
                <!-- illustration-->
                <div class="thank-you-img">
                    <img class="ui fluid image" src="libs/themes/asgardio/assets/images/something-went-wrong.svg">
                </div>
            </div>
    
    <% } %>
        </main>

        <!-- product-footer -->
        <%
            File productFooterFile = new File(getServletContext().getRealPath("extensions/product-footer.jsp"));
            if (productFooterFile.exists()) {
        %>
            <jsp:include page="../extensions/product-footer.jsp"/>
        <% } else { %>
            <jsp:include page="../includes/product-footer.jsp"/>
        <% } %>

        <!-- footer -->
        <%
            File footerFile = new File(getServletContext().getRealPath("extensions/footer.jsp"));
            if (footerFile.exists()) {
        %>
            <jsp:include page="../extensions/footer.jsp"/>
        <% } else { %>
            <jsp:include page="../includes/footer.jsp"/>
        <% } %>
    </div>

</body>
</html>
